petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASCycleSetCycles

Sets the number of cycles on a particular level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleSetCycles(SNES snes, PetscInt cycles)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| level | - the level to set the number of cycles on
| cycles | - the number of cycles -- 1 for V-cycle, 2 for W-cycle

### Keywords

SNES, FAS, set, cycles, V-cycle, W-cycle, multigrid

### See Also

SNESFASSetCycles()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages